# Generated by Django 3.2.6 on 2021-08-16 15:04

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import service_app.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AdditionalServiceModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('price', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='Price')),
            ],
            options={
                'verbose_name': 'Additional service',
                'verbose_name_plural': 'Additional services',
                'db_table': 'additional_services',
            },
        ),
        migrations.CreateModel(
            name='AdditionalServiceToServiceInHotelModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='Price')),
            ],
            options={
                'verbose_name': 'Relation of additional services with the main ones',
                'verbose_name_plural': 'Relations of additional services with the main ones',
                'db_table': 'additional_services_to_service_in_hotel',
            },
        ),
        migrations.CreateModel(
            name='AdditionalServiceTranslationModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('lang', models.CharField(choices=[('EN', 'EN'), ('DE', 'DE')], max_length=2, verbose_name='Language')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('desc', models.TextField(verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Additional service translation',
                'verbose_name_plural': 'Additional service translations',
                'db_table': 'additional_service_translation',
            },
        ),
        migrations.CreateModel(
            name='ServiceModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('img', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Image')),
                ('price', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True, verbose_name='Price')),
                ('minutes', models.PositiveIntegerField(blank=True, null=True, validators=[service_app.validators.validate_minutes], verbose_name='Duration of the procedure in minutes')),
            ],
            options={
                'verbose_name': 'Service',
                'verbose_name_plural': 'Services',
                'db_table': 'services',
            },
        ),
        migrations.CreateModel(
            name='ServiceToHotelModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='Price')),
                ('minutes', models.PositiveIntegerField(validators=[service_app.validators.validate_minutes], verbose_name='Duration of the procedure in minutes')),
            ],
            options={
                'verbose_name': 'Relation of service with the hotel',
                'verbose_name_plural': 'Relations of services with the hotel',
                'db_table': 'services_to_hotel',
            },
        ),
        migrations.CreateModel(
            name='ServiceTranslationModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('lang', models.CharField(choices=[('EN', 'EN'), ('DE', 'DE')], max_length=2, verbose_name='Language')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('short_desc', models.TextField(verbose_name='Short description')),
                ('desc', models.TextField(verbose_name='Description')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='service_app.servicemodel', verbose_name='Service')),
            ],
            options={
                'verbose_name': 'Service translation',
                'verbose_name_plural': 'Service translations',
                'db_table': 'service_translation',
            },
        ),
    ]
